# TransactArgs

Payload accepted by the \[\[AnchorLink.transact]] method. Note that one of `action`, `actions` or `transaction` must be set.

## Summary

| Members                                                                                                                                  | Descriptions              |
| ---------------------------------------------------------------------------------------------------------------------------------------- | ------------------------- |
| `public EosSharp.Core.Api.v1.Transaction` [`Transaction`](#class_anchor_link_sharp_1_1_transact_args_1af0458791e9c6ba1700c18845ae005486) | Full transaction to sign. |
| `public EosSharp.Core.Api.v1.Action` [`Action`](#class_anchor_link_sharp_1_1_transact_args_1a401f36a4996099f1fe31774030412a58)           | Action to sign.           |
| `public EosSharp.Core.Api.v1.Action[]` [`Actions`](#class_anchor_link_sharp_1_1_transact_args_1a78c8d5d2838596e4c6b925e04972ea41)        | Actions to sign.          |

## Members

**`public EosSharp.Core.Api.v1.Transaction`** [**`Transaction`**](#class_anchor_link_sharp_1_1_transact_args_1af0458791e9c6ba1700c18845ae005486)

Full transaction to sign.

**`public EosSharp.Core.Api.v1.Action`** [**`Action`**](#class_anchor_link_sharp_1_1_transact_args_1a401f36a4996099f1fe31774030412a58)

Action to sign.

**`public EosSharp.Core.Api.v1.Action[]`** [**`Actions`**](#class_anchor_link_sharp_1_1_transact_args_1a78c8d5d2838596e4c6b925e04972ea41)

Actions to sign.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://liquiidio.gitbook.io/unity-plugin-suite/anchorlink/api-docs/anchorlinksharp/anchorlinksharp-transactargs.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
